# AEUS 介绍

`AEUS` 是一个轻量级的golang脚手架框架，用于快速开发微服务。



# 环境变量

| 环境变量 | 描述 |
| --- | --- |
| AEUS_DEBUG | 是否开启debug模式 |
| HTTP_PORT | http服务端口 |
| GRPC_PORT | grpc服务端口 |
| CLI_PORT | cli服务端口 |


# 快速开始

## 创建一个项目

创建项目可以使用`aeus`命令行工具进行生成:

```
aeus new github.com/your-username/your-project-name
```

如果需要创建一个带管理后台的应用, 可以使用`--admin`参数:

```
aeus new github.com/your-username/your-project-name --admin
```


## 生成`Proto`文件

服务使用`proto3`作为通信协议，因此需要生成`Proto`文件。

```
make proto
```

清理生成的文件使用:

```
make proto-clean
```

## 编译项目

编译项目可以使用`make`命令进行编译:

```
make build
```

